> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Identifier



## OpenAPI

````yaml firework-v3-openapi get /firework/v3/identifiers/{identifier_id}
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v3
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Read and manage a tenant's identifiers
    name: identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Get batches of activities.
    name: batch
  - description: Manage and query assets.
    name: assets
paths:
  /firework/v3/identifiers/{identifier_id}:
    get:
      tags:
        - identifiers
      operationId: get_identifier_endpoint_/identifiers/<int:identifier_id>
      parameters:
        - in: path
          name: identifier_id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get_identifier_endpoint__identifiers__int_identifier_id__200_response
          description: Success
components:
  schemas:
    get_identifier_endpoint__identifiers__int_identifier_id__200_response:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
      type: object
    Identifier:
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        feed_id:
          type: integer
        feed_owner_id:
          type: integer
        type:
          enum:
            - domain
            - name
            - keyword
            - github_repository
            - username
            - email
            - search_query
            - bin
            - ip
            - secret
            - azure_tenant
            - identity
          example: domain
          type: string
        search_types:
          items:
            enum:
              - attachment
              - listing
              - ransomleak
              - forum_post
              - forum_topic
              - forum_profile
              - blog_post
              - seller
              - paste
              - leak
              - chat_message
              - domain
              - bot
              - stealer_log
              - infected_devices
              - driller
              - driller_forum_topic
              - driller_forum_post
              - driller_profile
              - cc
              - ccbin
              - financial_data
              - leaked_data
              - leaked_file
              - document
              - account
              - actor
              - forum_content
              - blog_content
              - profile
              - leaked_credential
              - illicit_networks
              - open_web
              - domains
              - leaks
              - social_media_account
              - social_media
              - source_code
              - source_code_secrets_np
              - source_code_secrets
              - source_code_files
              - docker
              - stack_exchange
              - google
              - service
              - driller_host
              - buckets
              - bucket
              - bucket_object
              - whois
              - cookie
              - pii
              - experimental
            example: attachment
            type: string
          type: array
        experimental_search_types:
          items:
            type: string
          type: array
        risks:
          items:
            type: integer
          type: array
        name:
          minLength: 1
          type: string
        asset_uuid:
          type: string
        data:
          properties: {}
          type: object
        fetching_progress:
          type: integer
        count:
          type: integer
        urn:
          description: The uniform resource name of the identifier.
          type: string
        is_disabled:
          type: boolean
        is_critical:
          type: boolean
        source:
          enum:
            - USER
            - SYSTEM_RELATION
            - SELF_ONBOARDING
            - ATTRIBUTE
            - IDP_SYNC
          example: USER
          type: string
        enrichments:
          properties: {}
          type: object
        data_updated_at:
          format: date-time
          type: string
        event_count:
          type: integer
        first_rate_limited_at:
          format: date-time
          type: string
        rate_limits:
          $ref: '#/components/schemas/IdentifierRateLimits'
      required:
        - asset_uuid
        - data
        - data_updated_at
        - name
        - search_types
        - source
        - type
      type: object
    IdentifierRateLimits:
      properties:
        first_rate_limited_at:
          format: date-time
          type: string
        last_rate_limited_at:
          format: date-time
          type: string
        activity_types:
          items:
            type: string
          type: array
        items:
          items:
            $ref: '#/components/schemas/IdentifierRateLimit'
          type: array
      type: object
    IdentifierRateLimit:
      properties:
        first_rate_limited_at:
          format: date-time
          type: string
        last_rate_limited_at:
          format: date-time
          type: string
        activity_type:
          type: string
      required:
        - activity_type
        - first_rate_limited_at
        - last_rate_limited_at
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````